Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.openpgp
Class PGPDataFormatException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              cryptix.openpgp.PGPException
                  cryptix.openpgp.PGPAbstractDataFormatException
                      cryptix.openpgp.PGPDataFormatException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  PGPInvalidChecksumException

public class PGPDataFormatException
extends PGPAbstractDataFormatException

Thrown when incorrect data is found in a PGP object. Unlike it's companion PGPFatalDataFormatException, the behaviour when throwing this exception will be always well defined, such that the offending data can be skipped and ignored and the application can continue with the next packet.

Version:
  $Revision: 1.2 $
Author:
  Edwin Woudt (edwin@cryptix.org)
See Also:
  Serialized Form

Constructor Summary
`PGPDataFormatException()` Constructs an exception without a specific error message.
`PGPDataFormatException(java.lang.String msg)` Constructs an exception with the specified error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PGPDataFormatException

    public PGPDataFormatException()

  Constructs an exception without a specific error message.

### PGPDataFormatException

    public PGPDataFormatException(java.lang.String msg)

  Constructs an exception with the specified error message.

Parameters:
  `msg` - the error message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.